TKN-HUB(1)

NAME

tkn-hub - Interact with artifacthub

SYNOPSIS

tkn hub

DESCRIPTION

Interact with artifacthub

Deprecation Notice: Tekton Hub support in CLI is being deprecated in favor of Artifact Hub. The following commands currently only work with Tekton Hub and may support Artifact Hub in a future release:
  - check-upgrade
  - downgrade
  - get
  - info
  - reinstall
  - search
  - upgrade

Action Required: Users should migrate to Artifact Hub by using the '--type artifact' flag with the install command. For example:
    tkn hub install task foo --type artifact --from tekton-catalog-tasks

When using '--type tekton', a deprecation warning will now be displayed. Artifact Hub ( ⟨https://artifacthub.io⟩) will become the only supported hub in future releases.

OPTIONS

--api-server=""
    Hub API Server URL. For artifact type: default ' ⟨https://artifacthub.io'⟩ (env: ARTIFACT_HUB_API_SERVER) For tekton type (DEPRECATED): default ' ⟨https://api.hub.tekton.dev'⟩ (env: TEKTON_HUB_API_SERVER) Can also be set in '$HOME/.tekton/hub-config'.

-h, --help[=false]
    help for hub

--type="artifact"
    The type of Hub from where to pull the resource. Either 'artifact' or 'tekton' (DEPRECATED: tekton type will be removed in a future release)

SEE ALSO

tkn(1), tkn-hub-install(1)